# boost::numeric::ublas::scalar_vector< T, ALLOC >::const_iterator Class Reference

List of all members.

## Public Types

typedef scalar_vector::difference_type | difference_type
typedef scalar_vector::value_type | value_type
typedef scalar_vector::const_reference | reference
typedef scalar_vector::const_pointer | pointer

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator (const scalar_vector &v, const const_subiterator_type &it)
BOOST_UBLAS_INLINE const_iterator & | operator++ ()
BOOST_UBLAS_INLINE const_iterator & | operator-- ()
BOOST_UBLAS_INLINE const_iterator & | operator+= (difference_type n)
BOOST_UBLAS_INLINE const_iterator & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator &it) const
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE const_iterator & | operator= (const const_iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator &it) const
BOOST_UBLAS_INLINE bool | operator< (const const_iterator &it) const

### template<class T, class ALLOC>
class boost::numeric::ublas::scalar_vector< T, ALLOC >::const_iterator